slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPErrorView

Displays the errors associated with the computed solution (as well as the eigenvalues).

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPErrorView(NEP nep,NEPErrorType etype,PetscViewer viewer)

Collective

### Input Parameters

| nep | - the nonlinear eigensolver context
| etype | - error type
| viewer | - optional visualization context

### Options Database Keys

| -nep_error_absolute | - print absolute errors of each eigenpair
| -nep_error_relative | - print relative errors of each eigenpair
| -nep_error_backward | - print backward errors of each eigenpair

### Notes

By default, this function checks the error of all eigenpairs and prints the eigenvalues if all of them are below the requested tolerance. If the viewer has format=PETSC_VIEWER_ASCII_INFO_DETAIL then a table with eigenvalues and corresponding errors is printed.

### See Also

NEPSolve(), NEPValuesView(), NEPVectorsView()

### Level

intermediate

### Location

src/nep/interface/nepview.c

### Examples

src/nep/tutorials/ex21.c
src/nep/tutorials/ex22.c
src/nep/tutorials/ex22f.F90
src/nep/tutorials/ex27.c
src/nep/tutorials/ex27f.F90
src/nep/tutorials/ex54f.F90
src/nep/tutorials/nlevp/gun.c
src/nep/tutorials/nlevp/loaded_string.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages